ProyectoCrm/src/app/Modulos/PlaneadorVentasModulo/Paginas/fw-abono/Componentes/fw-abono-nuevo-pago/fw-abono-nuevo-pago.component.pug
div.form-row
    div.form-group.col-12.col-lg-6
        div.ControlInput
            div.ControlInput--ContenedorIcono
                span.ControlInput--ContenedorIcono-Icono
                    i.fas.fa-money-check-alt
            select([(ngModel)]="tFormaPagoActual",
                (change)="SeleccionarFormaPago()",
                size-select="sm")#ddlTipo.ControlInput--Select
                option(*ngFor="let tForma of tFormasPago",
                [ngValue]="tForma")  [ {{ tForma.Codformapago }} ] {{ tForma.Descripcion }}
    div.form-group.col-12.col-lg-6
        div.ControlInput
            div.ControlInput--ContenedorIcono
                span.ControlInput--ContenedorIcono-Icono
                    i.fas.fa-coins
            input(placeholder="Monto", 
                SoloNumeros="decimal", 
                min="0",
                [(ngModel)]="tVentaFormaPagoActual.Monto",
                [disabled]="BloquearControlMonto()",
                size="sm").ControlInput--Input
div.form-row
    div.form-group.col-12
        ul(role="tablist").nav.nav-tabs
            li.nav-item
                a(data-toggle="tab", 
                    href="#SelReferencias",
                    role="tab",
                    aria-controls="SelReferencias",
                    aria-selected="true")#SelReferencias-tab.nav-link.active Referencias
            li.nav-item
                a(data-toggle="tab", 
                    href="#SelTasa",
                    role="tab",
                    aria-controls="SelTasa",
                    aria-selected="true")#SelTasa-tab.nav-link Tasa
div.form-row
    div.form-group.col-12
        div.tab-content#mvDatos
            div(role="tabpanel", aria-labelledby="SelReferencias-tab").tab-pane.fade.show.active#SelReferencias
                ng-container(*ngIf="tFormaPagoActual.Referencia === 'S'")
                    div.form-row
                        div.form-group.col-12
                            label.form-label.h6 Referencia
                            div.ControlInput
                                div.ControlInput--ContenedorIcono
                                    span.ControlInput--ContenedorIcono-Icono
                                        i.fas.fa-barcode
                                input(type="text",
                                    [(ngModel)]="tVentaFormaPagoActual.FormaPagoReferencia.Referencia",
                                    size="sm").ControlInput--Input
                ng-container(*ngIf="tFormaPagoActual.Referencia === 'N'")
                    div.form-row
                        div.form-group.col-12
                            h6.card-title No necesita referencia
            div(role="tabpanel", aria-labelledby="SelTasa-tab").tab-pane.fade#SelTasa
                ng-container(*ngIf="tFormaPagoActual.Tasa === 'S'")
                    div.form-row
                        div.form-group.col-4
                            div.ControlInput
                                div.ControlInput--ContenedorIcono
                                    span.ControlInput--ContenedorIcono-Icono
                                        i.fas.fa-dollar-sign
                                select([(ngModel)]="tTasaActual",
                                    size-select="sm")#ddlTipo.ControlInput--Select
                                    option(*ngFor="let tTasasFor of tTasas",
                                        [ngValue]="tTasasFor")  [ {{ tTasasFor.Codmonedaorigen }} ] {{ tTasasFor.Descripcion_origen }}
                        div.form-group.col-4
                            div.ControlInput
                                div.ControlInput--ContenedorIcono
                                    span.ControlInput--ContenedorIcono-Icono
                                        i.fas.fa-coins
                                label(size-label="sm").ControlInput--Label  {{ tTasaActual.Tasa | currency : tEmpresa.Simbolo }}
                        div.form-group.col-4
                            div.ControlInput
                                div.ControlInput--ContenedorIcono
                                    span.ControlInput--ContenedorIcono-Icono
                                        i.fas.fa-coins
                                input(placeholder="Monto", 
                                        SoloNumeros="decimal", 
                                        min="0",
                                        [(ngModel)]="tVentaFormaPagoActual.FormaPagoTasa.Monto",
                                        (ngModelChange)="CalcularCambio()",
                                        size="sm").ControlInput--Input
                ng-container(*ngIf="tFormaPagoActual.Tasa === 'N'")
                    div.form-row
                        div.form-group.col-12
                            h6.card-title No necesita tasa
div.form-row
    div.form-group.col-12.col-lg-4.offset-lg-8
        div.card.border-left-danger.shadow-sm
            div.card-body
                div.row.no-gutters.align-items-center
                    div.col.mr-2
                        div.text-xs.font-weight-bold.text-danger.mb-1 Vuelto
                        div.h6.mb-0.font-weight-bold.text-gray-800 {{ tVenta | vuelto: tVentaFormaPagoActual | currency : tEmpresa.Simbolo }}
                    div.col-auto
                        div.fas.fa-percent.fa-2x.text-gray-300
div.row.text-right
    div.col-12
        button(type="button",
            (click)="Volver()").btn.btn-secondary.btn-icon-split
            span.icon.text-white-50
                i.fas.fa-times
            span.text Cancelar
        button(type="button",
            (click)="AgregarFormaPago()").btn.btn-primary.btn-icon-split.ml-2
            span.icon.text-white-50
                i.fas.fa-times
            span.text Facturar

ProyectoCrm/src/app/Modulos/PlaneadorVentasModulo/Paginas/fw-abono/Componentes/fw-abono-nuevo-pago/fw-abono-nuevo-pago.component.html

<div class="form-row">
  <div class="form-group col-12 col-lg-6">
    <div class="ControlInput">
      <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-money-check-alt"></i></span></div>
      <select class="ControlInput--Select" [(ngModel)]="tFormaPagoActual" (change)="SeleccionarFormaPago()" size-select="sm" id="ddlTipo">
        <option *ngFor="let tForma of tFormasPago" [ngValue]="tForma"> [ {{ tForma.Codformapago }} ] {{ tForma.Descripcion }}</option>
      </select>
    </div>
  </div>
  <div class="form-group col-12 col-lg-6">
    <div class="ControlInput">
      <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-coins"></i></span></div>
      <input class="ControlInput--Input" placeholder="Monto" SoloNumeros="decimal" min="0" [(ngModel)]="tVentaFormaPagoActual.Monto" [disabled]="BloquearControlMonto()" size="sm"/>
    </div>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12">
    <ul class="nav nav-tabs" role="tablist">
      <li class="nav-item"><a class="nav-link active" data-toggle="tab" href="#SelReferencias" role="tab" aria-controls="SelReferencias" aria-selected="true" id="SelReferencias-tab">Referencias</a></li>
      <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#SelTasa" role="tab" aria-controls="SelTasa" aria-selected="true" id="SelTasa-tab">Tasa</a></li>
    </ul>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12">
    <div class="tab-content" id="mvDatos">
      <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="SelReferencias-tab" id="SelReferencias">
        <ng-container *ngIf="tFormaPagoActual.Referencia === 'S'">
          <div class="form-row">
            <div class="form-group col-12">
              <label class="form-label h6">Referencia</label>
              <div class="ControlInput">
                <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-barcode"></i></span></div>
                <input class="ControlInput--Input" type="text" [(ngModel)]="tVentaFormaPagoActual.FormaPagoReferencia.Referencia" size="sm"/>
              </div>
            </div>
          </div>
        </ng-container>
        <ng-container *ngIf="tFormaPagoActual.Referencia === 'N'">
          <div class="form-row">
            <div class="form-group col-12">
              <h6 class="card-title">No necesita referencia</h6>
            </div>
          </div>
        </ng-container>
      </div>
      <div class="tab-pane fade" role="tabpanel" aria-labelledby="SelTasa-tab" id="SelTasa">
        <ng-container *ngIf="tFormaPagoActual.Tasa === 'S'">
          <div class="form-row">
            <div class="form-group col-4">
              <div class="ControlInput">
                <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-dollar-sign"></i></span></div>
                <select class="ControlInput--Select" [(ngModel)]="tTasaActual" size-select="sm" id="ddlTipo">
                  <option *ngFor="let tTasasFor of tTasas" [ngValue]="tTasasFor"> [ {{ tTasasFor.Codmonedaorigen }} ] {{ tTasasFor.Descripcion_origen }}</option>
                </select>
              </div>
            </div>
            <div class="form-group col-4">
              <div class="ControlInput">
                <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-coins"></i></span></div>
                <label class="ControlInput--Label" size-label="sm"> {{ tTasaActual.Tasa | currency : tEmpresa.Simbolo }}</label>
              </div>
            </div>
            <div class="form-group col-4">
              <div class="ControlInput">
                <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-coins"></i></span></div>
                <input class="ControlInput--Input" placeholder="Monto" SoloNumeros="decimal" min="0" [(ngModel)]="tVentaFormaPagoActual.FormaPagoTasa.Monto" (ngModelChange)="CalcularCambio()" size="sm"/>
              </div>
            </div>
          </div>
        </ng-container>
        <ng-container *ngIf="tFormaPagoActual.Tasa === 'N'">
          <div class="form-row">
            <div class="form-group col-12">
              <h6 class="card-title">No necesita tasa</h6>
            </div>
          </div>
        </ng-container>
      </div>
    </div>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12 col-lg-4 offset-lg-8">
    <div class="card border-left-danger shadow-sm">
      <div class="card-body">
        <div class="row no-gutters align-items-center">
          <div class="col mr-2">
            <div class="text-xs font-weight-bold text-danger mb-1">Vuelto</div>
            <div class="h6 mb-0 font-weight-bold text-gray-800">{{ tVenta | vuelto: tVentaFormaPagoActual | currency : tEmpresa.Simbolo }}</div>
          </div>
          <div class="col-auto">
            <div class="fas fa-percent fa-2x text-gray-300"></div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="row text-right">
  <div class="col-12">
    <button class="btn btn-secondary btn-icon-split" type="button" (click)="Volver()"><span class="icon text-white-50"><i class="fas fa-times"></i></span><span class="text">Cancelar</span></button>
    <button class="btn btn-primary btn-icon-split ml-2" type="button" (click)="AgregarFormaPago()"><span class="icon text-white-50"><i class="fas fa-times"></i></span><span class="text">Facturar</span></button>
  </div>
</div>
